Create label

Generates a shipping label using the provided shipment information. A successful response includes a tracking number and a label file in the media type specified in the Accept header.

This API is supported for all shipping programs, including Walmart Provided Shipping (WPS) and Ship with Walmart (SWW).

Media Type Options (via Accept header):
• application/json, application/pdf → Returns label in PDF format.
• application/json, image/png → Returns label in PNG format.
• application/json → Returns tracking info only in JSON.

Note: The Ship with Walmart service from China to the U.S. is paused until further notice.

Market availability: Global

Body Params

Label fields

string
required

The package type. For example, CUSTOM_PACKAGE', 'FEDEX_ENVELOPE', or 'FEDEX_PAK'.

Market availability: Global

boxDimensions
object
required

Dimensions and weight of the package being shipped. Used together with packageType. For FEDEX_PAK or FEDEX_ENVELOPE, length/height/width are predetermined by the carrier and only weight is required. For CUSTOM_PACKAGE, all dimensions and weight are required.

Market availability: Global

boxItems
array of objects
required

boxItems - this is a list of items that seller will be shipping in this package, all the items should be part of the purchaseOrder entered, lineId & SKU are used to identify the exact item being shipped. Quantity tells us how many of that item we are shipping, it should be <= the remaining unshipping quantity of the PO

Market availability: Global

boxItems*
fromAddress
object

Defines the origin address from which the order will be shipped. This represents the seller’s fulfillment center location.

Market availability: US | CA | MX

string
required

Purchase Order Id.

Applicable to SWW and WPS.

Market availability: US | CA | MX

string
required

The carrier name.

For US: This value maps to the 'shortName' parameter from a Supported carriers API response.

Supported values for US: FedEx and USPS.

Supported values for MX and CA: FedEx.

Supported values for CA: MailAmericas.

Supported values for CL: CBT sellers can use 'MailAmericas'. Domestic sellers can use 'Enviame'.

Applicable to SWW.

Market availability: US | CA | MX | CL

string
required

The carrier service type.

For US: This value maps to 'serviceTypes.name' parameter from Shipping Estimates API response

Supported values for MX: 'FEDEX_INTERNATIONAL_PRIORITY' for fedExPak/fedExEnvelope package types, 'FEDEX_INTERNATIONAL_ECONOMY', and 'FEDEX_INTERNATIONAL_GROUND'

Supported values for CA: 'FEDEX_INTERNATIONAL_PRIORITY' for single fedExPak/fedExEnvelope package types, 'FEDEX_INTERNATIONAL_ECONOMY', and 'FEDEX_INTERNATIONAL_GROUND'

Supported values for CL: 'US_CL_MAIL_AMERICAS' and 'CN_CL_MAIL_AMERICAS'.

Applicable to SWW.

Market availability: Global

addOns
array of strings

AddOns Type. AddOns can be opted during label generation for a shipping. Supported values for AddOns are INSURANCE and SIGNATURE. We support standard SIGNATURE Type for now.

Market availability: US only

addOns
Allowed:
returnAddress
object

Return Address. This parameter is mandatory for orders using Yanwen for the carrier.

Market availability: US only

boolean

The status for if the order contains a battery. This is mandatory for order using Yanwen as the carrier. Possible values, true or false.

Market availability: US only

boolean

The status for if the shipment contains hazardous material. Possible values, true or false.

Market availability: US only

string

Account Type - BYOA (bring your own account), this is an US only initiative where sellers can bring their own FedEx accounts for creating labels instead of using the walmart ones.

Market availability: US only

string

The size of the label. For example, A6,A8, LETTER_SIZE, or A4 for PDF response.

Supported values for CL: 'LETTER_SIZE', 'A4', 'A6', 'A8' for MailAmericas

Supported values for CA: A6, LETTER_SIZE or A4 for PDF response

Market availability: CA | CL

Headers
string
required

Specifies the desired response format. The order of media types determines the priority for format selection.

Supported values:

  • application/json : Returns tracking information only (no label file).
  • application/json, application/pdf : Returns the label in PDF format.
  • application/json, image/png : Returns the label in PNG format.

Market availability: Global

string
required

Access token obtained from the Token API. This is required for authenticating requests to Walmart Marketplace APIs.

Market availability: Global

string

A unique ID to track the consumer request by channel. Use the Consumer Channel Type received during onboarding

Market availability: Global

string
required

A unique ID which identifies each API call and is used to track and debug issues. Use a randomly generated GUID for this ID.

Market availability: Global

string
required

Specifies the name of the Walmart service being called.
Example: Walmart Marketplace

Market availability: Global

string
enum
required

Case-sensitive market identifier. Valid values: MX, CA, CL, US

Market availability: Global

Allowed:
string
enum
required

Indicates the global version of the API. The value must be set to 3.1.

Market availability: Global

Allowed:
Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/pdf
image/png